View Issue Details

IDProjectCategoryView StatusLast Update
0038385FPCCompilerpublic2021-01-24 22:32
ReporterExSystem Assigned ToFlorian  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformIntel x86 64bitOSMacOS 
Product Version3.3.1 
Fixed in Version3.3.1 
Summary0038385: Doesn't compile when multiple interfaces with same name are defined in different namespaces and being implemented in one class.
DescriptionAs described in the title.
Steps To Reproduce1.open the project uploaded using CodeTyphon or Lazarus.
2.compile the project.
3.a successful build are expected, but errors would be generated as shown below:

Hint: (11030) Start of reading config file /usr/local/codetyphon/fpc/fpc64/bin/x86_64-darwin/fpc.cnf
Hint: (11031) End of reading config file /usr/local/codetyphon/fpc/fpc64/bin/x86_64-darwin/fpc.cnf
Free Pascal Compiler version 3.3.1 [2021/01/10] for x86_64
Copyright (c) 1993-2020 by Florian Klaempfl and others
(1002) Target OS: Darwin for x86_64
(3104) Compiling project1.ppr
(3104) Compiling rr.ss.b.pas
(9009) Assembling rr.ss.b
/Users/ExSystem/DelphiProjects/test1/lib/x86_64-darwin/unit4.s:178:1: error: invalid symbol redefinition
_WRPR_$UNIT4_$$_TFOO_$_IINTERFACE1_$_0_$__SYSTEM$_$TINTERFACEDOBJECT_$__$$_QUERYINTERFACE$TGUID$formal$$LONGINT:
^
/Users/ExSystem/DelphiProjects/test1/lib/x86_64-darwin/unit4.s:187:1: error: invalid symbol redefinition
_WRPR_$UNIT4_$$_TFOO_$_IINTERFACE1_$_1_$__SYSTEM$_$TINTERFACEDOBJECT_$__$$__ADDREF$$LONGINT:
^
/Users/ExSystem/DelphiProjects/test1/lib/x86_64-darwin/unit4.s:196:1: error: invalid symbol redefinition
_WRPR_$UNIT4_$$_TFOO_$_IINTERFACE1_$_2_$__SYSTEM$_$TINTERFACEDOBJECT_$__$$__RELEASE$$LONGINT:
^
/Users/ExSystem/DelphiProjects/test1/lib/x86_64-darwin/unit4.s:205:1: error: invalid symbol redefinition
_WRPR_$UNIT4_$$_TFOO_$_IINTERFACE1_$_3_$__UNIT4$_$TFOO_$__$$_P1:
^
(3104) Compiling rr.ss.c.pas
(9009) Assembling rr.ss.c
(3104) Compiling unit4.pas
(9009) Assembling unit4
unit4.pas(41) Error: (9007) Error while assembling exitcode 1
unit4.pas(41) Fatal: (10026) There were 2 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: /usr/local/codetyphon/fpc/fpc64/bin/x86_64-darwin/ppcx64 returned an error exitcode
Tagsinterface
Fixed in Revision48411
FPCOldBugId
FPCTarget-
Attached Files

Activities

ExSystem

2021-01-22 14:52

reporter  

test1.zip (597,007 bytes)

Issue History

Date Modified Username Field Change
2021-01-22 14:52 ExSystem New Issue
2021-01-22 14:52 ExSystem File Added: test1.zip
2021-01-22 15:09 ExSystem Tag Attached: interface
2021-01-24 22:32 Florian Assigned To => Florian
2021-01-24 22:32 Florian Status new => resolved
2021-01-24 22:32 Florian Resolution open => fixed
2021-01-24 22:32 Florian Fixed in Version => 3.3.1
2021-01-24 22:32 Florian Fixed in Revision => 48411
2021-01-24 22:32 Florian FPCTarget => -